This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 178625 - Review Request: overgod - Another Asteroid like game
Review Request: overgod - Another Asteroid like game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
David Lawrence
http://www.allegro.cc/depot/Overgod
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-22 13:52 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 16:31:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failed buildout on FC4 (20.02 KB, application/octet-stream)
2006-01-23 13:41 EST, Mike McGrath
no flags Details

  None (edit)
Description Hans de Goede 2006-01-22 13:52:25 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/overgod.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/overgod-1.0-1.src.rpm
Author's Description: For too long has humanity been ruled by cruel and
disputatious gods! Fly through the various layers of the Celestial Oversphere
to unseat those who control the universe.

This is my latest game, Overgod. It's similar to my last game, Lacewing, but
better in almost every way. Basically, you control a little vehicle in the
middle of the screen and fly around and shoot things - a bit like asteroids,
but the asteroids move independently and shoot back. You can also upgrade
your vehicle in various ways.

Some notes:
I created the icon with gthumb from a bmp in SOURCE0, the license is thus GPL.

If you try to build this on Rawhide, allegro-devel is currently
broken on rawhide. It is fixed in CVS but can't be build because of buildsys
trouble. So todo a testbuild of this package on rawhide, first checkout allegro from CVS, build that locally and install it.

Also note that rawhide mockbuilds will also fail because of this and because
rawhide has broken deps internally.

The cfg file is only used for the initial defaults, after the first start all settings are read from and saved to ~/.overgod.cfg, thus it is not marked %config, also see the discussion in bug 178568
Comment 1 Mike McGrath 2006-01-23 11:24:58 EST
Should the sed replacement under %prep be in %build instead?

I also could not get this to build on FC4.
Comment 2 Hans de Goede 2006-01-23 13:11:39 EST
Not in my book, it just converts a text format, something which could be done
with a patch too (I've even concidered doing it in a patch). Nothing is being
build here.

Actually I've seen rpm's where even ./configure is in %prep, but thats just
plain wrong.

How / where does it fail with which message?
Comment 3 Mike McGrath 2006-01-23 13:41:09 EST
Created attachment 123585 [details]
Failed buildout on FC4

This is the build error I get on FC4.

allegro-4.0.3-13
allegro-devel-4.0.3-13
desktop-file-utils-0.10-1
Comment 4 Hans de Goede 2006-01-23 13:54:24 EST
Looks like your allegro is busted. It compiles fine on devel unfortunatly tou
can't compile the allegro SRPM from devel on FC4 since it BuildRequires the new
modular Xorg stuff.
Comment 5 Wart 2006-01-30 15:32:14 EST
MUST items:

* rpmlint output clean
* Name matches upstream; spec file named appropriately
* License (GPL) ok, license text included in %doc
* Specfile is legible and in Am. English
* Sources match upstream (md5sum ok)
* Package compiles and builds on FC5 i386
* BuildRequires ok.
* no -devel package
* Minimal documentation ok.
* No localized text
* No shared libraries
* Not relocatable
* 0wns directories that it creates
* No duplicate files
* Permissions look ok
* %clean and %install both remove $RPM_BUILD_ROOT
* Contains code and permissible content (game data files)
* desktop file ok.

SHOULD items:
* license file included
- mock build fails on FC4 i386 (see comment #3)
* Program runs.
* scriptlets ok.

NEEDSWORK:

* Don't use first-person references in a description.  Try something
like this instead:

"For too long has humanity been ruled by cruel and disputatious gods!
Fly through the various layers of the Celestial Oversphere
to unseat those who control the universe.

In Overgod you control a little vehicle in the middle of the screen and fly
around and shoot things - a bit like asteroids, but the asteroids move
independently and shoot back. You can also upgrade your vehicle in various
ways."

As noted in comment #3, the package won't build on FC4.  I'm assuming you are
considering this package for FC5 only?
Comment 6 Hans de Goede 2006-01-30 15:49:04 EST
Thanks for the review, I'll fix the description and post a new version tomorrow.
About the building on FC-4, FC-5 is near so unless I get requests I'm not
planning on an FC-4 release. If I get requests I'll file a bug against FC-4
allegro, as that needs fixing and/or updating for this.
Comment 7 Wart 2006-01-30 17:48:13 EST
Is there any chance that you'd want to package xpilot (www.xpilot.org), another
Asteroids clone?  :)  It looks like it used to be in RH7.
Comment 8 Hans de Goede 2006-01-31 03:08:59 EST
Maybe xpilot NG would be a better choice? :
http://xpilot.sourceforge.net/
Comment 9 Hans de Goede 2006-01-31 03:28:31 EST
Description has been fixed, new spec at:
http://home.zonnet.nl/jwrdegoede/overgod.spec
Comment 10 Wart 2006-01-31 11:21:49 EST
All NEEDSWORK items addressed.

ACCEPTED

(I wasn't aware of xpilot-ng.  It looks like a better choice)
Comment 11 Hans de Goede 2006-01-31 16:31:06 EST
Imported & Build

Note You need to log in before you can comment on or make changes to this bug.